## trunk?format=zip&rev=22

=== Makefile ===

#
# Makefile for ExRootAnalysis
#
# Author: P. Demin - UCL, Louvain-la-Neuve
#
# multi-platform configuration is taken from ROOT (root/test/Makefile.arch)
#

include $(ROOTSYS)/test/Makefile.arch

ifeq ($(ARCH),macosx64)
UNDEFOPT = dynamic_lookup
endif

SrcSuf = cc

CXXFLAGS += $(ROOTCFLAGS) -DDROP_CGAL -I. -Itcl -Imcfio -Istdhep -ISISCone -ICDFCones -ICDFCones/CDFcode
LIBS = $(ROOTLIBS) -lEG $(SYSLIBS)
GLIBS = $(ROOTGLIBS) $(SYSLIBS)
	
###

STATIC = lib/libExRootAnalysisPGS.$(LibSuf)
SHARED = lib/libExRootAnalysis.$(DllSuf)

all:


ExRootSTDHEPConverter$(ExeSuf): \
	tmp/test/ExRootSTDHEPConverter.$(ObjSuf)

tmp/test/ExRootSTDHEPConverter.$(ObjSuf): \
	test/ExRootSTDHEPConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
MatchingSTDHEPConverter$(ExeSuf): \
	tmp/test/MatchingSTDHEPConverter.$(ObjSuf)

tmp/test/MatchingSTDHEPConverter.$(ObjSuf): \
	test/MatchingSTDHEPConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
STDHEP_EXECUTABLE =  \
	ExRootSTDHEPConverter$(ExeSuf) \
	MatchingSTDHEPConverter$(ExeSuf)

STDHEP_EXECUTABLE_OBJ =  \
	tmp/test/ExRootSTDHEPConverter.$(ObjSuf) \
	tmp/test/MatchingSTDHEPConverter.$(ObjSuf)

ExRootHEPEVTConverter$(ExeSuf): \
	tmp/test/ExRootHEPEVTConverter.$(ObjSuf)

tmp/test/ExRootHEPEVTConverter.$(ObjSuf): \
	test/ExRootHEPEVTConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h
ExRootLHCOlympicsConverter$(ExeSuf): \
	tmp/test/ExRootLHCOlympicsConverter.$(ObjSuf)

tmp/test/ExRootLHCOlympicsConverter.$(ObjSuf): \
	test/ExRootLHCOlympicsConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
ExRootLHEFConverter$(ExeSuf): \
	tmp/test/ExRootLHEFConverter.$(ObjSuf)

tmp/test/ExRootLHEFConverter.$(ObjSuf): \
	test/ExRootLHEFConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
ExRootMain$(ExeSuf): \
	tmp/test/ExRootMain.$(ObjSuf)

tmp/test/ExRootMain.$(ObjSuf): \
	test/ExRootMain.cpp \
	ExRootAnalysis/ExRootAnalysis.h
Example$(ExeSuf): \
	tmp/test/Example.$(ObjSuf)

tmp/test/Example.$(ObjSuf): \
	test/Example.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootUtilities.h
MatchingTreeConverter$(ExeSuf): \
	tmp/test/MatchingTreeConverter.$(ObjSuf)

tmp/test/MatchingTreeConverter.$(ObjSuf): \
	test/MatchingTreeConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
ExRootLHCOlympicsWriter$(ExeSuf): \
	tmp/test/ExRootLHCOlympicsWriter.$(ObjSuf)

tmp/test/ExRootLHCOlympicsWriter.$(ObjSuf): \
	test/ExRootLHCOlympicsWriter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
EXECUTABLE =  \
	ExRootHEPEVTConverter$(ExeSuf) \
	ExRootLHCOlympicsConverter$(ExeSuf) \
	ExRootLHEFConverter$(ExeSuf) \
	ExRootMain$(ExeSuf) \
	Example$(ExeSuf) \
	MatchingTreeConverter$(ExeSuf) \
	ExRootLHCOlympicsWriter$(ExeSuf)

EXECUTABLE_OBJ =  \
	tmp/test/ExRootHEPEVTConverter.$(ObjSuf) \
	tmp/test/ExRootLHCOlympicsConverter.$(ObjSuf) \
	tmp/test/ExRootLHEFConverter.$(ObjSuf) \
	tmp/test/ExRootMain.$(ObjSuf) \
	tmp/test/Example.$(ObjSuf) \
	tmp/test/MatchingTreeConverter.$(ObjSuf) \
	tmp/test/ExRootLHCOlympicsWriter.$(ObjSuf)

tmp/src/ExRootAnalysisDict.$(SrcSuf): \
	src/ExRootAnalysisLinkDef.h \
	ExRootAnalysis/ExRootSortableObject.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootCandList.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootClassifier.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootProgressBar.h \
	ExRootAnalysis/ExRootConfReader.h \
	ExRootAnalysis/ExRootEventLoop.h \
	ExRootAnalysis/ExRootAnalysis.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootModule.h \
	ExRootAnalysis/ExRootTask.h
tmp/modules/ModulesDict.$(SrcSuf): \
	modules/ModulesLinkDef.h \
	modules/MadGraphParticleClassifier.h \
	modules/MadGraphClassFilter.h \
	modules/MadGraphClassMerger.h \
	modules/MadGraphJetLeptonMerger.h \
	modules/MadGraphAnalysis.h \
	modules/MadGraphMatchingAnalysis.h \
	modules/MadGraphMatchingTreeWriter.h \
	modules/MadGraphKtJetFinder.h \
	modules/MadGraphCDFConeJetFinder.h \
	modules/MadGraphSISConeJetFinder.h \
	modules/MadGraphIsolatedLeptonFinder.h \
	modules/PythiaFix.h \
	modules/MadGraphPartonSelector.h \
	modules/MadGraphJetParticleSelector.h \
	modules/MadGraphShowerPartonSelector.h \
	modules/MadGraphShowerLeptonSelector.h
DICT =  \
	tmp/src/ExRootAnalysisDict.$(SrcSuf) \
	tmp/modules/ModulesDict.$(SrcSuf)

DICT_OBJ =  \
	tmp/src/ExRootAnalysisDict.$(ObjSuf) \
	tmp/modules/ModulesDict.$(ObjSuf)

tmp/pgs/ExRootAnalysisDict.$(SrcSuf): \
	pgs/ExRootAnalysisLinkDef.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h
PGS_DICT =  \
	tmp/pgs/ExRootAnalysisDict.$(SrcSuf)

PGS_DICT_OBJ =  \
	tmp/pgs/ExRootAnalysisDict.$(ObjSuf)

tmp/src/ExRootAnalysis.$(ObjSuf): \
	src/ExRootAnalysis.$(SrcSuf) \
	ExRootAnalysis/ExRootAnalysis.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootConfReader.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
tmp/src/ExRootCandList.$(ObjSuf): \
	src/ExRootCandList.$(SrcSuf) \
	ExRootAnalysis/ExRootCandList.h \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootFactory.h
tmp/src/ExRootCandidate.$(ObjSuf): \
	src/ExRootCandidate.$(SrcSuf) \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootFactory.h
tmp/src/ExRootClasses.$(ObjSuf): \
	src/ExRootClasses.$(SrcSuf) \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootSortableObject.h
tmp/src/ExRootConfReader.$(ObjSuf): \
	src/ExRootConfReader.$(SrcSuf) \
	ExRootAnalysis/ExRootConfReader.h \
	tcl/tcl.h
tmp/src/ExRootEventLoop.$(ObjSuf): \
	src/ExRootEventLoop.$(SrcSuf) \
	ExRootAnalysis/ExRootEventLoop.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootConfReader.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
tmp/src/ExRootFactory.$(ObjSuf): \
	src/ExRootFactory.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootCandList.h
tmp/src/ExRootFilter.$(ObjSuf): \
	src/ExRootFilter.$(SrcSuf) \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootClassifier.h
tmp/src/ExRootModule.$(ObjSuf): \
	src/ExRootModule.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootModule.h \
	ExRootAnalysis/ExRootFactory.h
tmp/src/ExRootProgressBar.$(ObjSuf): \
	src/ExRootProgressBar.$(SrcSuf) \
	ExRootAnalysis/ExRootProgressBar.h
tmp/src/ExRootResult.$(ObjSuf): \
	src/ExRootResult.$(SrcSuf) \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootUtilities.h
tmp/src/ExRootTask.$(ObjSuf): \
	src/ExRootTask.$(SrcSuf) \
	ExRootAnalysis/ExRootTask.h \
	ExRootAnalysis/ExRootConfReader.h
tmp/src/ExRootTreeBranch.$(ObjSuf): \
	src/ExRootTreeBranch.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeBranch.h
tmp/src/ExRootTreeReader.$(ObjSuf): \
	src/ExRootTreeReader.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeReader.h
tmp/src/ExRootTreeWriter.$(ObjSuf): \
	src/ExRootTreeWriter.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h
tmp/src/ExRootUtilities.$(ObjSuf): \
	src/ExRootUtilities.$(SrcSuf) \
	ExRootAnalysis/ExRootUtilities.h
tmp/modules/MadGraphAnalysis.$(ObjSuf): \
	modules/MadGraphAnalysis.$(SrcSuf) \
	modules/MadGraphAnalysis.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphClassFilter.$(ObjSuf): \
	modules/MadGraphClassFilter.$(SrcSuf) \
	modules/MadGraphClassFilter.h \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h
tmp/modules/MadGraphClassMerger.$(ObjSuf): \
	modules/MadGraphClassMerger.$(SrcSuf) \
	modules/MadGraphClassMerger.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphIsolatedLeptonFinder.$(ObjSuf): \
	modules/MadGraphIsolatedLeptonFinder.$(SrcSuf) \
	modules/MadGraphIsolatedLeptonFinder.h \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphJetLeptonMerger.$(ObjSuf): \
	modules/MadGraphJetLeptonMerger.$(SrcSuf) \
	modules/MadGraphJetLeptonMerger.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphJetParticleSelector.$(ObjSuf): \
	modules/MadGraphJetParticleSelector.$(SrcSuf) \
	modules/MadGraphJetParticleSelector.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootClassifier.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphKtJetFinder.$(ObjSuf): \
	modules/MadGraphKtJetFinder.$(SrcSuf) \
	modules/MadGraphKtJetFinder.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h \
	KtJet/KtEvent.h \
	KtJet/KtLorentzVector.h
tmp/modules/MadGraphMatchingAnalysis.$(ObjSuf): \
	modules/MadGraphMatchingAnalysis.$(SrcSuf) \
	modules/MadGraphMatchingAnalysis.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphMatchingTreeWriter.$(ObjSuf): \
	modules/MadGraphMatchingTreeWriter.$(SrcSuf) \
	modules/MadGraphMatchingTreeWriter.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphParticleClassifier.$(ObjSuf): \
	modules/MadGraphParticleClassifier.$(SrcSuf) \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootClasses.h
tmp/modules/MadGraphPartonSelector.$(ObjSuf): \
	modules/MadGraphPartonSelector.$(SrcSuf) \
	modules/MadGraphPartonSelector.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootClassifier.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphShowerLeptonSelector.$(ObjSuf): \
	modules/MadGraphShowerLeptonSelector.$(SrcSuf) \
	modules/MadGraphShowerLeptonSelector.h \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphShowerPartonSelector.$(ObjSuf): \
	modules/MadGraphShowerPartonSelector.$(SrcSuf) \
	modules/MadGraphShowerPartonSelector.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \

=== minix/boot/Makefile ===
# Makefile for the boot monitor package.

SYS	= ..

CC	= exec cc
CC86	= exec cc -mi86 -Was-ncc
CFLAGS	= -I$(SYS)
LIBS	= -lsys
LD	= $(CC) -s -.o
LD86	= $(CC86) -.o
BIN	= /usr/bin
MDEC	= /usr/mdec

all:	bootblock boot edparams masterboot jumpboot installboot addaout
dos:	boot.com mkfile.com

bootblock:	bootblock.s
	$(LD86) -com -o $@ bootblock.s

masterboot:	masterboot.s
	$(LD86) -com -o $@ masterboot.s

jumpboot:	jumpboot.s
	$(LD86) -com -o $@ jumpboot.s

boot.o:	boot.c
	$(CC86) $(CFLAGS) -c boot.c

bootimage.o:	bootimage.c
	$(CC86) $(CFLAGS) -c bootimage.c

rawfs86.o:	rawfs.c rawfs.o
	ln -f rawfs.c rawfs86.c
	$(CC86) $(CFLAGS) -c rawfs86.c
	rm rawfs86.c
	-cmp -s rawfs.o rawfs86.o && ln -f rawfs.o rawfs86.o

boot:	boothead.s boot.o bootimage.o rawfs86.o
	$(LD86) -o $@ \
		boothead.s boot.o bootimage.o rawfs86.o $(LIBS)
	install -S 8kb boot

edparams.o:	boot.c
	ln -f boot.c edparams.c
	$(CC) $(CFLAGS) -DUNIX -c edparams.c
	rm edparams.c

edparams:	edparams.o rawfs.o
	$(CC) $(CFLAGS) $(STRIP) -o $@ edparams.o rawfs.o
	install -S 16kw edparams

dosboot.o:	boot.c
	$(CC86) $(CFLAGS) -DDOS -o $@ -c boot.c

doshead.o:	doshead.s
	$(CC) -mi386 -o $@ -c doshead.s

dosboot:	doshead.o dosboot.o bootimage.o rawfs86.o
	$(LD86) -com -o $@ \
		doshead.o dosboot.o bootimage.o rawfs86.o $(LIBS)

boot.com:	dosboot
	./a.out2com dosboot boot.com

mkfile:	mkfhead.s mkfile.c
	$(LD) -.o -mi86 -com -o $@ mkfhead.s mkfile.c $(LIBS)

mkfile.com:	mkfile
	./a.out2com mkfile mkfile.com

installboot:	installboot.o rawfs.o
	$(CC) $(STRIP) -o installboot installboot.o rawfs.o
	install -S 6kw installboot

addaout:	addaout.o
	$(CC) -o addaout addaout.o

installboot.o bootimage.o: image.h
boot.o bootimage.o dosboot.o edparams.o: boot.h
rawfs.o rawfs86.o installboot.o boot.o bootimage.o: rawfs.h

install:	$(MDEC)/bootblock $(MDEC)/boot $(MDEC)/masterboot \
		$(MDEC)/jumpboot $(BIN)/installboot $(BIN)/edparams
dosinstall:	$(MDEC)/boot.com $(MDEC)/mkfile.com

$(MDEC)/bootblock:	bootblock
	install -cs -o bin -m 644 $? $@

$(MDEC)/boot:		boot
	install -cs -o bin -m 644 $? $@

$(MDEC)/boot.com:	boot.com
	install -c -m 644 $? $@

$(MDEC)/mkfile.com:	mkfile.com
	install -c -m 644 $? $@

$(MDEC)/masterboot:	masterboot
	install -cs -o bin -m 644 $? $@

$(MDEC)/jumpboot:	jumpboot
	install -cs -o bin -m 644 $? $@

$(BIN)/installboot:	installboot
	install -cs -o bin $? $@

$(BIN)/addaout:	addaout
	install -cs -o bin $? $@

$(BIN)/edparams:	edparams
	install -cs -o bin $? $@

clean:
	rm -f *.bak *.o
	rm -f bootblock addaout installboot boot masterboot jumpboot edparams 
	rm -f dosboot boot.com mkfile mkfile.com

=== minix/drivers/Makefile ===
# Makefile for all device drivers.
#
MAKE = exec make -$(MAKEFLAGS)

usage:
	@echo "" >&2
	@echo "Makefile for all device drivers." >&2
	@echo "Usage:" >&2
	@echo "	make build    # Compile all device drivers locally" >&2
	@echo "	make image    # Compile drivers in boot image" >&2
	@echo "	make clean    # Remove local compiler results" >&2
	@echo "	make install  # Install drivers to /etc/drivers/" >&2
	@echo "	                (requires root privileges)" >&2
	@echo "" >&2

build: all
all install depend clean:
	cd ./libdriver && $(MAKE) $@
	cd ./tty && $(MAKE) $@
	cd ./at_wini && $(MAKE) $@
	cd ./floppy && $(MAKE) $@
	cd ./printer && $(MAKE) $@
	cd ./rtl8139 && $(MAKE) $@
	cd ./fxp && $(MAKE) $@
	cd ./dpeth && $(MAKE) $@
	cd ./log && $(MAKE) $@
	cd ./bios_wini && $(MAKE) $@
	cd ./cmos && $(MAKE) $@
	cd ./random && $(MAKE) $@
	cd ./rescue && $(MAKE) $@
	cd ./dp8390 && $(MAKE) $@
	cd ./sb16 && $(MAKE) $@
	cd ./lance && $(MAKE) $@
	cd ./pci && $(MAKE) $@
	cd ./ti1225 && $(MAKE) $@
	cd ./memory && $(MAKE) $@	# Must be last for ramdisk image

image:
	cd ./libdriver && $(MAKE) build
	cd ./tty && $(MAKE) build
	cd ./at_wini && $(MAKE) build
	cd ./floppy && $(MAKE) build
	cd ./bios_wini && $(MAKE) build
	cd ./log && $(MAKE) build
	cd ./pci && $(MAKE) build
	cd ./memory && $(MAKE) build	# Must be last for ramdisk image

=== minix/etc/Makefile ===

ETC=/etc/
USRETC=/usr/etc/
FILES1=fstab group hostname.file inet.conf motd.install mtab passwd profile protocols rc services termcap ttytab utmp rc.cd binary_sizes binary_sizes.big binary_sizes.xxl rc.rescue syslog.conf rc.daemons.dist 
FILES2=shadow
FILES3=daily dhcptags.conf rc

all::

clean::

install::
	@echo "Installing /etc and /usr/etc.."
	mkdir -p $(ETC)
	@for f in $(FILES1); do if [ -f $(ETC)/$$f ]; then :; else cp $$f $(ETC)/$$f; chmod 755 $(ETC)/$$f; fi; done
	@for f in $(FILES2); do if [ -f $(ETC)/$$f ]; then :; else cp $$f $(ETC)/$$f; chmod 600 $(ETC)/$$f; fi; done
	@echo "Making hierarchy.."
	sh mtree.sh mtree/minix.tree
	@for f in $(FILES3); do if [ -f $(USRETC)/$$f ]; then :; else cp usr/$$f $(USRETC); chmod 755 $(USRETC)/$$f; fi; done
	@echo "Making devices.."
	p=`pwd` && cd /dev && sh $$p/../commands/scripts/MAKEDEV.sh null 
	p=`pwd` && cd /dev && sh $$p/../commands/scripts/MAKEDEV.sh std  2>/dev/null
	@echo "Making user homedirs.."
	for u in /usr/ast ~root; do (cd ast && tar cf - .[a-z]* ) | (cd $$u && tar xf - ); done

postinstall:
	binsizes normal

=== minix/include/Makefile ===

INC=/usr/include
GCCVERSION=3.4.3
MKHEADERS=/usr/gnu//libexec/gcc/i386-pc-minix/$(GCCVERSION)/install-tools/mkheaders

all::

clean::

install::
	-rm -rf $(INC)
	mkdir -p $(INC)
	cpdir . $(INC)
	@chown -R bin $(INC)
	@rm -f $(INC)/Makefile

gcc: install
	SHELL=/bin/sh; if [ -f $(MKHEADERS) ] ; then sh -e $(MKHEADERS) ; fi

=== minix/kernel/Makefile ===
# Makefile for kernel

# Directories
u = /usr
i = $u/include
l = $u/lib
s = system

# Programs, flags, etc.
CC =	exec cc
CPP =	$l/cpp
LD =	$(CC) -.o
CFLAGS = -I$i 
LDFLAGS = -i 

HEAD =	mpx.o
OBJS =	start.o protect.o klib.o table.o kprintf.o main.o proc.o \
	i8259.o exception.o system.o clock.o utility.o debug.o
SYSTEM = system.a
LIBS = -ltimers 


# What to make.
all: build 
kernel build install: $(HEAD) $(OBJS) 
	cd system && $(MAKE) -$(MAKEFLAGS) $@
	$(LD) $(CFLAGS) $(LDFLAGS) -o kernel \
	$(HEAD) $(OBJS) \
	$(SYSTEM) $(LIBS)
	install -S 0 kernel

clean:
	cd system && $(MAKE) -$(MAKEFLAGS) $@
	rm -f *.a *.o *~ *.bak kernel

depend: 
	cd system && $(MAKE) -$(MAKEFLAGS) $@
	/usr/bin/mkdep "$(CC) -E $(CPPFLAGS)" *.c *.s > .depend

# How to build it
.s.o:
	$(CC) $(CFLAGS) -c -o $@ $<

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<

# Include generated dependencies.
klib.o:	klib386.s klib88.s
mpx.o:	mpx386.s mpx88.s
include .depend

=== minix/lib/Makefile ===
#Generated from ./Makefile.in
all: all-ack

all-ack:
all-gnu:

makefiles: Makefile
Makedepend-ack Makedepend-gnu: 
	sh generate.sh . obj-ack/ obj-gnu

Makefile: Makefile.in Makedepend-ack Makedepend-gnu
	sh generate.sh . obj-ack/ obj-gnu
	@echo
	@echo *Attention*
	@echo Makefile is regenerated... rerun command to see changes
	@echo *Attention*
	@echo

all-ack: makefiles
	mkdir -p obj-ack//./ansi
	cd ansi && $(MAKE) $@
	mkdir -p obj-ack//./curses
	cd curses && $(MAKE) $@
	mkdir -p obj-ack//./dummy
	cd dummy && $(MAKE) $@
	mkdir -p obj-ack//./editline
	cd editline && $(MAKE) $@
	mkdir -p obj-ack//./end
	cd end && $(MAKE) $@
	mkdir -p obj-ack//./ip
	cd ip && $(MAKE) $@
	mkdir -p obj-ack//./math
	cd math && $(MAKE) $@
	mkdir -p obj-ack//./other
	cd other && $(MAKE) $@
	mkdir -p obj-ack//./posix
	cd posix && $(MAKE) $@
	mkdir -p obj-ack//./regex
	cd regex && $(MAKE) $@
	mkdir -p obj-ack//./stdio
	cd stdio && $(MAKE) $@
	mkdir -p obj-ack//./syscall
	cd syscall && $(MAKE) $@
	mkdir -p obj-ack//./syslib
	cd syslib && $(MAKE) $@
	mkdir -p obj-ack//./util
	cd util && $(MAKE) $@
	mkdir -p obj-ack//./sysutil
	cd sysutil && $(MAKE) $@
	mkdir -p obj-ack//./timers
	cd timers && $(MAKE) $@
	mkdir -p obj-ack//./i386
	cd i386 && $(MAKE) $@
	mkdir -p obj-ack//./zlib-1.2.3
	cd zlib-1.2.3 && $(MAKE) $@
	mkdir -p obj-ack//./ack
	cd ack && $(MAKE) $@
	mkdir -p obj-ack//./gnu
	cd gnu && $(MAKE) $@

all-gnu: makefiles
	mkdir -p obj-gnu/./ansi
	cd ansi && $(MAKE) $@
	mkdir -p obj-gnu/./curses
	cd curses && $(MAKE) $@
	mkdir -p obj-gnu/./dummy
	cd dummy && $(MAKE) $@
	mkdir -p obj-gnu/./editline
	cd editline && $(MAKE) $@
	mkdir -p obj-gnu/./end
	cd end && $(MAKE) $@
	mkdir -p obj-gnu/./ip
	cd ip && $(MAKE) $@
	mkdir -p obj-gnu/./math
	cd math && $(MAKE) $@
	mkdir -p obj-gnu/./other
	cd other && $(MAKE) $@
	mkdir -p obj-gnu/./posix
	cd posix && $(MAKE) $@
	mkdir -p obj-gnu/./regex
	cd regex && $(MAKE) $@
	mkdir -p obj-gnu/./stdio
	cd stdio && $(MAKE) $@
	mkdir -p obj-gnu/./syscall
	cd syscall && $(MAKE) $@
	mkdir -p obj-gnu/./syslib
	cd syslib && $(MAKE) $@
	mkdir -p obj-gnu/./util
	cd util && $(MAKE) $@
	mkdir -p obj-gnu/./sysutil
	cd sysutil && $(MAKE) $@
	mkdir -p obj-gnu/./timers
	cd timers && $(MAKE) $@
	mkdir -p obj-gnu/./i386
	cd i386 && $(MAKE) $@
	mkdir -p obj-gnu/./zlib-1.2.3
	cd zlib-1.2.3 && $(MAKE) $@
	mkdir -p obj-gnu/./ack
	cd ack && $(MAKE) $@
	mkdir -p obj-gnu/./gnu
	cd gnu && $(MAKE) $@

clean depend depend-ack depend-gnu:: makefiles
	cd ansi && $(MAKE) $@
	cd curses && $(MAKE) $@
	cd dummy && $(MAKE) $@
	cd editline && $(MAKE) $@
	cd end && $(MAKE) $@
	cd ip && $(MAKE) $@
	cd math && $(MAKE) $@
	cd other && $(MAKE) $@
	cd posix && $(MAKE) $@
	cd regex && $(MAKE) $@
	cd stdio && $(MAKE) $@
	cd syscall && $(MAKE) $@
	cd syslib && $(MAKE) $@
	cd util && $(MAKE) $@
	cd sysutil && $(MAKE) $@
	cd timers && $(MAKE) $@
	cd i386 && $(MAKE) $@
	cd zlib-1.2.3 && $(MAKE) $@
	cd ack && $(MAKE) $@
	cd gnu && $(MAKE) $@

makefiles: ansi/Makefile
makefiles: curses/Makefile
makefiles: dummy/Makefile
makefiles: editline/Makefile
makefiles: end/Makefile
makefiles: ip/Makefile
makefiles: math/Makefile
makefiles: other/Makefile
makefiles: posix/Makefile
makefiles: regex/Makefile
makefiles: stdio/Makefile
makefiles: syscall/Makefile
makefiles: syslib/Makefile
makefiles: util/Makefile
makefiles: sysutil/Makefile
makefiles: timers/Makefile
makefiles: i386/Makefile
makefiles: zlib-1.2.3/Makefile
makefiles: ack/Makefile
makefiles: gnu/Makefile

ansi/Makefile: ansi/Makefile.in
	cd ansi && sh ../generate.sh ./ansi ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
curses/Makefile: curses/Makefile.in
	cd curses && sh ../generate.sh ./curses ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
dummy/Makefile: dummy/Makefile.in
	cd dummy && sh ../generate.sh ./dummy ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
editline/Makefile: editline/Makefile.in
	cd editline && sh ../generate.sh ./editline ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
end/Makefile: end/Makefile.in
	cd end && sh ../generate.sh ./end ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
ip/Makefile: ip/Makefile.in
	cd ip && sh ../generate.sh ./ip ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
math/Makefile: math/Makefile.in
	cd math && sh ../generate.sh ./math ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
other/Makefile: other/Makefile.in
	cd other && sh ../generate.sh ./other ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
posix/Makefile: posix/Makefile.in
	cd posix && sh ../generate.sh ./posix ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
regex/Makefile: regex/Makefile.in
	cd regex && sh ../generate.sh ./regex ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
stdio/Makefile: stdio/Makefile.in
	cd stdio && sh ../generate.sh ./stdio ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
syscall/Makefile: syscall/Makefile.in
	cd syscall && sh ../generate.sh ./syscall ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
syslib/Makefile: syslib/Makefile.in
	cd syslib && sh ../generate.sh ./syslib ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
util/Makefile: util/Makefile.in
	cd util && sh ../generate.sh ./util ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
sysutil/Makefile: sysutil/Makefile.in
	cd sysutil && sh ../generate.sh ./sysutil ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
timers/Makefile: timers/Makefile.in
	cd timers && sh ../generate.sh ./timers ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
i386/Makefile: i386/Makefile.in
	cd i386 && sh ../generate.sh ./i386 ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
zlib-1.2.3/Makefile: zlib-1.2.3/Makefile.in
	cd zlib-1.2.3 && sh ../generate.sh ./zlib-1.2.3 ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
ack/Makefile: ack/Makefile.in
	cd ack && sh ../generate.sh ./ack ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
gnu/Makefile: gnu/Makefile.in
	cd gnu && sh ../generate.sh ./gnu ../obj-ack/ ../obj-gnu && $(MAKE) makefiles

clean::
	rm -f obj-ack//./*
	rm -f obj-gnu/./*

install: install-ack

install-ack: all-ack
	cp obj-ack//*.[ao] /usr/lib/i386

install-gnu: all-gnu
	cp obj-gnu/*.[ao] /usr/gnu/lib

include Makedepend-ack
include .depend-ack

include Makedepend-gnu
include .depend-gnu

=== minix/man/Makefile ===

MAN=/usr/man

all::

clean::

install::
	-rm -rf $(MAN)
	-mkdir $(MAN)
	cpdir . $(MAN)
	chown -R bin $(MAN)
	chgrp -R operator $(MAN)
	@rm -f $(MAN)/Makefile
	find /usr/man -type f | xargs chmod 644
	find /usr/man -type d | xargs chmod 755
	makewhatis $(MAN)

=== minix/servers/Makefile ===
# Makefile for all system servers.
#
MAKE = exec make -$(MAKEFLAGS)

usage:
	@echo "" >&2
	@echo "Makefile for all system servers." >&2
	@echo "Usage:" >&2
	@echo "	make build    # Compile all system servers locally" >&2
	@echo "	make image    # Compile servers in boot image" >&2
	@echo "	make clean    # Remove local compiler results" >&2
	@echo "	make install  # Install servers to /etc/servers/" >&2
	@echo "	                (requires root privileges)" >&2
	@echo "" >&2

build: all
all install depend clean:
	cd ./pm && $(MAKE) $@
	cd ./fs && $(MAKE) $@
	cd ./rs && $(MAKE) $@
	cd ./ds && $(MAKE) $@
	cd ./is && $(MAKE) $@
	cd ./init && $(MAKE) $@
	cd ./inet && $(MAKE) $@

image:
	cd ./pm && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
	cd ./fs && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
	cd ./rs && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
	cd ./ds && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
	cd ./init && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build

=== minix/tools/Makefile ===
# Makefile for the kernel image.

u=/usr
CC=	exec cc
CFLAGS=	-O -D_MINIX -D_POSIX_SOURCE
MDEC=	/usr/mdec

# Specify the programs that are part of the system image.
PROGRAMS=	../kernel/kernel \
	../servers/pm/pm \
	../servers/fs/fs \
	../servers/rs/rs \
	../servers/ds/ds \
	../drivers/tty/tty \
	../drivers/memory/memory \
	../drivers/log/log \
	../servers/init/init

usage:	
	@echo " " >&2
	@echo "Master Makefile to create new MINIX configuration." >& 2
	@echo "Root privileges are required." >&2
	@echo " " >&2
	@echo "Usage:" >&2
	@echo "	make includes   # Install include files" >&2
	@echo "	make depend     # Generate dependency files" >&2
	@echo "	make libraries  # Make system libraries" >&2
	@echo "	make services   # Compile and install all services" >&2
	@echo "	make fresh      # Make clean, libraries, and services" >&2
	@echo "	make image      # Make needed services and create boot image" >&2
	@echo "	make install    # Make image, and install to hard disk" >&2
	@echo "	make hdboot     # Make image, and install to hard disk" >&2
	@echo "	make fdboot     # Make image, and install to floppy disk" >&2
	@echo "	make bootable   # Make hard disk bootable" >&2
	@echo "	make clean      # Remove all compiler results, except libs" >&2
	@echo " " >&2
	@echo "To create a fresh MINIX configuration, try:" >&2
	@echo "	make clean install      # new boot image" >&2
	@echo "	make fresh install      # new everything" >&2
	@echo " " >&2

# create a fresh configuration or system image
fresh: 
	cd ../lib && $(MAKE) clean
	$(MAKE) clean 
	$(MAKE) libraries services

all: services image

image:  includes
	cd ../kernel && $(MAKE) 
	cd ../servers && $(MAKE) image
	cd ../drivers && $(MAKE) image
	installboot -image $@ $(PROGRAMS)

image_small:  includes
	cd ../kernel && $(MAKE) 
	cd ../servers && $(MAKE) EXTRA_OPTS=-D_MINIX_SMALL=1 image
	cd ../drivers && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) image
	installboot -image $@ $(PROGRAMS)

# rebuild the program or system libraries
includes:
	cd ../include && $(MAKE) install

depend: includes
	cd ../ && $(MAKE) depend

services: includes 
	cd ../kernel && $(MAKE) 
	cd ../servers && $(MAKE) install
	cd ../drivers && $(MAKE) install

libraries: includes
	cd ../lib && $(MAKE) clean
	cd ../lib && $(MAKE) all
	cd ../lib && $(MAKE) install


# make bootable and place system images
bootable:
	exec su root mkboot bootable

hdboot:	image
	exec sh mkboot $@
	@sync

fdboot:	image
	exec su root mkboot $@
	@sync

install: includes services hdboot

# clean up compile results
clean:
	cd ../kernel && $(MAKE) $@
	cd ../servers && $(MAKE) $@
	cd ../drivers && $(MAKE) $@
	rm -rf *.bak image image_small *.iso *.iso.gz cdfdimage rootimage src

=== fw_g473rct/cmake/stm32cubemx/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
# Enable CMake support for ASM and C languages
enable_language(C ASM)
# STM32CubeMX generated symbols (macros)
set(MX_Defines_Syms 
	USE_HAL_DRIVER 
	STM32G473xx
    $<$<CONFIG:Debug>:DEBUG>
)

# STM32CubeMX generated include paths
set(MX_Include_Dirs
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Inc
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Inc
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Inc/Legacy
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/CMSIS/Device/ST/STM32G4xx/Include
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/CMSIS/Include
)

# STM32CubeMX generated application sources
set(MX_Application_Src
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/main.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/gpio.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/adc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/crc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/dma.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/fdcan.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/i2c.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/spi.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/usart.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/usb.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/stm32g4xx_it.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/stm32g4xx_hal_msp.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/sysmem.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/syscalls.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../startup_stm32g473xx.s
)

# STM32 HAL/LL Drivers
set(STM32_Drivers_Src
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Core/Src/system_stm32g4xx.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_adc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_adc_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_ll_adc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_rcc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_rcc_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_flash.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_flash_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_flash_ramfunc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_gpio.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_exti.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_dma.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_dma_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_pwr.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_pwr_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_cortex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_crc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_crc_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_fdcan.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_i2c.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_i2c_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_spi.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_spi_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_uart.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_uart_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_pcd.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_hal_pcd_ex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../../Drivers/STM32G4xx_HAL_Driver/Src/stm32g4xx_ll_usb.c
)

# Drivers Midllewares



# Link directories setup
set(MX_LINK_DIRS

)
# Project static libraries
set(MX_LINK_LIBS 
    STM32_Drivers
    ${TOOLCHAIN_LINK_LIBRARIES}
    
)
# Interface library for includes and symbols
add_library(stm32cubemx INTERFACE)
target_include_directories(stm32cubemx INTERFACE ${MX_Include_Dirs})
target_compile_definitions(stm32cubemx INTERFACE ${MX_Defines_Syms})

# Create STM32_Drivers static library
add_library(STM32_Drivers OBJECT)
target_sources(STM32_Drivers PRIVATE ${STM32_Drivers_Src})
target_link_libraries(STM32_Drivers PUBLIC stm32cubemx)


# Add STM32CubeMX generated application sources to the project
target_sources(${CMAKE_PROJECT_NAME} PRIVATE ${MX_Application_Src})

# Link directories setup
target_link_directories(${CMAKE_PROJECT_NAME} PRIVATE ${MX_LINK_DIRS})

# Add libraries to the project
target_link_libraries(${CMAKE_PROJECT_NAME} ${MX_LINK_LIBS})

# Add the map file to the list of files to be removed with 'clean' target
set_target_properties(${CMAKE_PROJECT_NAME} PROPERTIES ADDITIONAL_CLEAN_FILES ${CMAKE_PROJECT_NAME}.map)

# Validate that STM32CubeMX code is compatible with C standard
if((CMAKE_C_STANDARD EQUAL 90) OR (CMAKE_C_STANDARD EQUAL 99))
    message(ERROR "Generated code requires C11 or higher")
endif()

=== minix/commands/bc/Makefile ===
# Makefile for bc

# A makefile for bc.  This is part of the bc/sbc distribution.
#
#
#  Make sure these have the correct directories for your machine.
#
#  LIBDIR and BINDIR are where bc and libmath.b will be put.
#
PREFIX = /usr
LIBDIR = $(PREFIX)/lib
BINDIR = $(PREFIX)/bin
#
# Programs definitions for use by make.
#
SHELL = /bin/sh
YACC = yacc
#YACC = bison -y
LEX = flex -I8
#LEX = lex
CC = exec cc
CFLAGS = -D_POSIX_SOURCE
LDFLAGS = -i
#
#
OFILES = scan.o util.o main.o number.o storage.o load.o execute.o 
#
SUBDIRS = Examples Test
#


all: bc
bc: $& config.h bc.o $(OFILES) global.o
	$(CC) -o bc $(LDFLAGS) bc.o $(OFILES) global.o

sbc: sbc.o $(OFILES) global.o
	$(CC) -o sbc $(LDFLAGS) sbc.o $(OFILES) global.o

math.h: libmath.b
	$(MAKE) -$(MAKEFLAGS) fbc
	./fbc -c libmath.b </dev/null >math.h
	/bin/sh ./fix_math.h
	rm -f ./fbc

fbc: $(OFILES) bc.o
	echo \"\" > math.h
	$(CC) -c $(CFLAGS) global.c
	$(CC) -o fbc $(LDFLAGS) bc.o $(OFILES) global.o

install:	$(BINDIR)/bc $(LIBDIR)/libmath.b

$(BINDIR)/bc:	bc
	install -cs -o bin $? $@

$(LIBDIR)/libmath.b:	libmath.b
	install -c -o bin $? $@

clean:
	rm -f *.o *.bak core math.h bc sbc

scan.c: scan.l
	$(LEX) scan.l
	mv lex.yy.c scan.c

scan.o:	scan.c
	$(CC) -c $(CFLAGS) -wa scan.c

y.tab.h bc.c: bc.y
	@echo "expect 1 shift/reduce conflict"
	$(YACC) -d bc.y
	mv y.tab.c bc.c

sbc.c: sbc.y
	$(YACC) -d sbc.y
	mv y.tab.c sbc.c

global.o: bcdefs.h global.h math.h
bc.o:	bcdefs.h global.h 
execute.o: bcdefs.h global.h
load.o: bcdefs.h global.h 
main.o: bcdefs.h global.h version.h
number.o: bcdefs.h
sbc.o: bcdefs.h global.h 
scan.o: y.tab.h bcdefs.h global.h
storage.o: bcdefs.h global.h
util.o: bcdefs.h global.h version.h

bcdefs.h: number.h const.h config.h
	touch bcdefs.h

=== packages/sipb-xen-database/sipb-xen-database/debian/changelog ===
sipb-xen-database (0) unstable; urgency=low

  * Initial Release.

 -- Nelson Elhage <nelhage@mit.edu>  Sun, 15 Jul 2007 16:01:16 -0400

=== packages/sipb-xen-database/sipb-xen-database/debian/control ===
Source: sipb-xen-database
Section: unknown
Priority: extra
Maintainer: Nelson Elhage <nelhage@mit.edu>
Build-Depends: cdbs, cdbs, debhelper (>= 5)
Standards-Version: 3.7.2

Package: sipb-xen-database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== packages/sipb-xen-dev/sipb-xen-dev/debian/control ===
Source: sipb-xen-dev
Section: servers
Priority: important
Maintainer: sipb-xen@mit.edu
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sipb-xen-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev-el, emacs21, reprepro, apache2, postfix, screen, dh-make, screen, , fakeroot, pbuilder
Description: SIPB Xen development server 
 This package  should be installed on sipb-xen-dev
 It makes sure that necessary tools are avaibale.

=== packages/sipb-xen-database/sipb-xen-database/debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
